extends HandWalkState


func _enter_state():
	hand_walk.player.player_moved.connect(_on_player_moved)
	hand_walk.animation_player.play(GameConstants.ANIM_IDLE)


func _exit_state():
	hand_walk.player.player_moved.disconnect(_on_player_moved)


func _on_player_moved():
	enemy.state_machine.switch_state($"../HandWalkStateMove")
